#include "BaseApplication.h"

BaseApplication::BaseApplication(int width,int height,HWND handle, bool fullscreen)
{
	manager=NULL;
	manager=DeviceManager::CreateDevice(width,height,fullscreen, handle);
}

void BaseApplication::Release()
{
	SAFE_RELEASE(manager);
}

void BaseApplication::ResetDevice(int width,int height)
{
	manager->Resize(width,height);
}