#pragma once
#include "DeviceManager.h"
#include "ConstantBuffer.h"
#include "EffectManager.h"

class BaseApplication abstract
{
public:
	BaseApplication(int width,int height,HWND handle, bool fullscreen);
	virtual bool Init()=0;
	virtual void Release();
	virtual void Reset(int width,int height)=0;
	virtual void Render()=0;
	virtual void DoCommand(int key)=0;

	DeviceManager* manager;
	int width;
	int height;
protected:
	void ResetDevice(int width,int height);
};
