#pragma once
#include "DeviceManager.h"
class ConstantBuffer
{
public:
	static ConstantBuffer* Init(DeviceManager* manager,int size);
	void Release();
	void Write(LPVOID source,int size);
	ID3D11Buffer* GetBufferPointer();
private:
	ConstantBuffer();
	ID3D11Buffer* buffer;
	DeviceManager* devicePointer;
};
