#pragma once
#include "Framework\BaseApplication.h"

struct VERTEX
{
	float px;
	float py;
	float pz;
	float tu;
	float tv;
};


class TutorialApplication:public BaseApplication
{
public:
	TutorialApplication(int width,int height,HWND handle, bool fullscreen);
	virtual void Reset(int width,int height) override;
	virtual bool Init() override;
	virtual void Release() override;
	virtual void Render() override;
	virtual void DoCommand(int key) override;

	EffectManager* effect;
	ConstantBuffer* constantBuffer;
	ID3D11Buffer* vertexBuffer;
	ID3D11InputLayout* layout;
	ID3D11ShaderResourceView* texture;
	ID3D11SamplerState* sampler;
};
